Description:

Changes a curve end to meet a specified curve with a specified continuity.

Syntax:
public static Curve[] CreateMatchCurve(
Curve curve0,
bool reverse0,
BlendContinuity continuity,
Curve curve1,
bool reverse1,
PreserveEnd preserve,
bool average
)
Parameters:
  • curve0
  • Type: Curve
  • The open curve to change.
  • reverse0
  • Type: bool
  • Reverse the direction of the curve to change before matching.
  • curve1
  • Type: Curve
  • The open curve to match.
  • reverse1
  • Type: bool
  • Reverse the direction of the curve to match before matching.
  • preserve
  • Type: PreserveEnd
  • Prevent modification of the curvature at the end opposite the match for curves with fewer than six control points.
  • average
  • Type: bool
  • Adjust both curves to match each other.
Returns:
Type: Curve[]
The results of the curve matching, if successful, otherwise an empty array.
Available since:
7.6

/
/
/
CreateMatchCurve

CreateMatchCurve method

Class:  Rhino.Geometry.Curve

Nothing found